Skip to main content
`Ctrl`+`K`

# PCHYPREGetCFMarkers

Gets CF marker arrays for all levels (except the finest level)

## Synopsis

    PetscErrorCode PCHYPREGetCFMarkers(PC pc, PetscInt *n_per_level[], PetscBT *CFMarkers[])

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameters

- n_per_level - the number of nodes per level (size of `num_levels`)

- CFMarkers - the Coarse/Fine Boolean arrays (size of `num_levels` - 1)

## Note

Caller is responsible for memory management of `n_per_level` and `CFMarkers` pointers. That is they should free them with `PetscFree()` when no longer needed.

## See Also

KSP: Linear System Solvers, `PC`, `PCMG`, `PCMGGetRestriction()`, `PCMGSetInterpolation()`, `PCMGGetRScale()`, `PCMGGetInterpolation()`, `PCGetInterpolations()`

## Level

advanced

## Location

src/ksp/pc/impls/hypre/hypre.c

## Implementations

PCHYPREGetCFMarkers_BoomerAMG() in src/ksp/pc/impls/hypre/impl/ihypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages